×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    install compiled raccoon for my 5700,"system error"

    Hi guys,

    I compiled the source code of raccoon0.11.0 and it worked ok on the emulator,but when I installed the compiled .sis file on my 5700 and clicked the raccoon icon,there was a "system error" ,and without any error data.I'am a begginer of symbian,could anyone tell me the reason or give me a indicate?

    best regards

    wangdy

    ps:
    this is my compile environment
    sdk:3rd fp1
    raccon source version 0.11.0
    IDE:carbide 1.3

    the commands I used are:

    make selfsigned
    bldmake bldfiles
    abld build gcce
    abld freeze gcce
    abld build gcce urel

    I have freezed DLL interface and changed the UID3 into 0xExxxxxxx.Also,I used the selfsigned capability,and I have signed the .sis file through www.symbiansigned.com.
    Last edited by wangdayong326; 2008-08-25 at 02:57.

  2. #2
    Nokia Developer Expert
    Join Date
    Mar 2003
    Posts
    457

    Re: install compiled raccoon for my 5700,"system error"

    Quote Originally Posted by wangdayong326 View Post
    I compiled the source code of raccoon0.11.0 and it worked ok on the emulator,but when I installed the compiled .sis file on my 5700 and clicked the raccoon icon,there was a "system error" ,and without any error data.I'am a begginer of symbian,could anyone tell me the reason or give me a indicate?
    Chances are that it's gcce that is the problem.

    Namely, it used to be so that at gcce built Raccoon simply did not work, and circumstantial evidence suggested that there was some problem with the gcce toolchain related to the handling of static data in DLLs.

    For a while I provided libraries for gcce in the Raccoon SDK, because a gcce built module worked together with a RVCT built Raccoon, provided (it appeared) the amount of static data in the gcce built module was not too large.

    Johan

  3. #3
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    Re: install compiled raccoon for my 5700,"system error"

    Hi jhnwkmn,thank you very much for your reply.Also,
    Quote Originally Posted by jhnwkmn View Post
    Chances are that it's gcce that is the problem.

    Namely, it used to be so that at gcce built Raccoon simply did not work, and circumstantial evidence suggested that there was some problem with the gcce toolchain related to the handling of static data in DLLs.
    I just want to know whether the released raccoon .sis package was complied by gcce or other complier such as rvct,or others?

    Quote Originally Posted by jhnwkmn View Post
    For a while I provided libraries for gcce in the Raccoon SDK, because a gcce built module worked together with a RVCT built Raccoon, provided (it appeared) the amount of static data in the gcce built module was not too large.

    Johan
    waiting for your libraries!

    regards

    wangdy

  4. #4
    Nokia Developer Expert
    Join Date
    Mar 2003
    Posts
    457

    Re: install compiled raccoon for my 5700,"system error"

    Quote Originally Posted by wangdayong326 View Post
    I just want to know whether the released raccoon .sis package was complied by gcce or other complier such as rvct,or others?
    rvct

    waiting for your libraries!
    I'll try to make the gcce libraries available in the next release.

    Johan

  5. #5
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    Re: install compiled raccoon for my 5700,"system error"

    Hi Johan,

    Thank you very much for your help!
    Best regards

    wangdy

  6. #6
    Nokia Developer Expert
    Join Date
    Mar 2003
    Posts
    457

    Re: install compiled raccoon for my 5700,"system error"

    Quote Originally Posted by wangdayong326 View Post
    Thank you very much for your help!
    Come to think of it, you don't actually need those libraries, because you have already built them yourself (my intention is still to include them in the next release).

    Assuming what you actually want is to build an Apache module of your own, you can do that using the gcce environment you have created, and then load that module into the rvct prebuilt Apache found at SourceForge.

    The thing is that Symbian supports two ABIs - abiv1 and abiv2 - that are buildtime incompatible, but runtime compatible. So, while you cannot use rvct (abiv1) generated libraries when building using gcce (abiv2), it's fine to combine at runtime DLLs and EXEs built using different abi-version toolchains.

    Johan

Similar Threads

  1. Replies: 4
    Last Post: 2008-05-20, 19:07
  2. mysterious "conversion error" when attempting to install
    By momentarynow in forum Mobile Java General
    Replies: 7
    Last Post: 2007-07-17, 21:53
  3. "Certificate Error" during install the sis file
    By srvenkatesh in forum Symbian
    Replies: 3
    Last Post: 2007-02-15, 10:31

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×